Bug 591671 - [abrt] crash in gedit-1:2.28.3-1.fc12: dialogs.py:135:value:IndexError: list index out of range
[abrt] crash in gedit-1:2.28.3-1.fc12: dialogs.py:135:value:IndexError: list ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:2d8d2906
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 15:42 EDT by olivier
Modified: 2010-12-03 09:46 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 663409 (view as bug list)
Environment:
Last Closed: 2010-12-03 09:46:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (889 bytes, text/plain)
2010-05-12 15:42 EDT, olivier
no flags Details

  None (edit)
Description olivier 2010-05-12 15:42:36 EDT
abrt 1.0.9 detected a crash.

architecture: i686
cmdline: gedit
component: gedit
executable: /usr/lib/gedit-2/plugins
kernel: 2.6.32.11-99.fc12.i686.PAE
package: gedit-1:2.28.3-1.fc12
reason: dialogs.py:135:value:IndexError: list index out of range
release: Fedora release 12 (Constantine)

backtrace
-----
dialogs.py:135:value:IndexError: list index out of range

Traceback (most recent call last):
  File "/usr/lib/gedit-2/plugins/GeditLaTeXPlugin/src/base/__init__.py", line 212, in <lambda>
    self._handler = self._internal_action.connect("activate", lambda gtk_action, action: action.activate(window_context), self)
  File "/usr/lib/gedit-2/plugins/GeditLaTeXPlugin/src/latex/actions.py", line 97, in activate
    file.create(self._dialog.source)
  File "/usr/lib/gedit-2/plugins/GeditLaTeXPlugin/src/latex/dialogs.py", line 515, in source
    template_string = open(self._proxy_template.value).read()
  File "/usr/lib/gedit-2/plugins/GeditLaTeXPlugin/src/latex/dialogs.py", line 135, in value
    return self._options[index][0]
IndexError: list index out of range

Local variables in innermost frame:
index: -1
self: <GeditLaTeXPlugin.src.latex.dialogs.ComboBoxProxy object at 0x9db79ec>

How to reproduce
-----
1.install plugin latex for gedit and crashed when creating a new doc
2.
3.
Comment 1 olivier 2010-05-12 15:42:38 EDT
Created attachment 413538 [details]
File: backtrace
Comment 2 vaccaaa 2010-07-22 15:18:29 EDT
Package: gedit-1:2.30.2-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Try to create a New latex document
2. Click OK
3. CRASH


Comment
-----
I tried to create a new latex document (File-> new latex document). Then I clicked on OK and waited. ABRT returned me a crash, no new file was created, nor any new instance of gedit was opened
Comment 3 Alexander Volovics 2010-07-29 07:50:02 EDT
Package: gedit-1:2.30.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.install latex plugin
2.open new latex document 
3.fill in the necessary menu items in popup window


Comment
-----
Wanted to open new latex document.
After filling in the popup window menu the bug reporting window appeared
Comment 4 Alexey 2010-10-06 13:49:26 EDT
Package: gedit-1:2.30.2-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.select file->NewLaTEX document
2.
3.
Comment 5 Kvikende 2010-10-18 08:33:18 EDT
Package: gedit-1:2.30.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. I tried to make a new LaTex document.
Comment 6 Bug Zapper 2010-11-03 11:00:00 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 jesus 2010-11-04 16:43:47 EDT
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.open a new latex document on gedit
2.
3.
Comment 8 Bug Zapper 2010-12-03 09:46:08 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.